# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%global ver_major 0
%global ver_minor 9
%global ver_patch 2
%global ver_rel 2
%global ver %{ver_major}.%{ver_minor}.%{ver_patch}.%{ver_rel}

Name:           pyobd
Version:        %{ver}
Release:        alt1_2
Summary:        OBD-II (SAE-J1979) compliant scantool software
Group:          Engineering
License:        GPLv2+
URL:            http://www.obdtester.com/
Source0:        http://www.obdtester.com/download/%{name}_%{ver_major}.%{ver_minor}.%{ver_patch}-%{ver_rel}.tar.gz
BuildArch:      noarch
# import from pyobd module
Patch0:         pyobd-0.9.2-pyobd-module.patch
BuildRequires:  python-devel python-module-serial python-module-wx desktop-file-utils
BuildRequires:  dos2unix ImageMagick
Source44: import.info

%description
pyOBD is an OBD-II (SAE-J1979) compliant scantool software written
entirely in Python. It is meant to interface with the low cost ELM 32x
devices such as ELM-USB.

%prep
%setup -q -n %{name}-%{ver_major}.%{ver_minor}.%{ver_patch}

# convert CR/LF to LF
dos2unix pyobd.desktop
# fix encoding settings
sed -i '/Encoding=/ s|UTF8|UTF-8|' pyobd.desktop
# convert GIF icon to PNG
convert pyobd.gif pyobd.png
# change icon in pyobd.desktop
sed -i 's|/usr/share/pyobd/pyobd.gif|pyobd|' pyobd.desktop
# create dummy module init
[ -f __init__.py ] || echo '# module init' > __init__.py

# remove hashbangs
for f in *.py
do
  sed -i '/^[ \t]*#!\/usr\/bin\/env/ d' $f
done

%patch0 -p1 -b .pyobd-module

%build

%install
mkdir -p %{buildroot}%{_bindir}
install -m 0755 pyobd %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{python_sitelibdir_noarch}/%{name}
install -m 0644 -t %{buildroot}%{python_sitelibdir_noarch}/%{name} *.py

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
install -m 0644 pyobd.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps

mkdir -p  %{buildroot}%{_datadir}/applications
desktop-file-install --add-category="Utility" \
  --dir=%{buildroot}%{_datadir}/applications \
  pyobd.desktop

%files
%doc COPYING
%_iconsdir/*/*/*/*
%{_datadir}/applications/pyobd.desktop
%{python_sitelibdir_noarch}/pyobd/
%{_bindir}/pyobd

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.2.2-alt1_2
- update to new release by fcimport

* Wed Jan 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.2.2-alt1_1
- initial fc import

